

# DescribeAlertManagerDefinition
<a name="API_DescribeAlertManagerDefinition"></a>

Retrieves the full information about the alert manager definition for a workspace.

## Request Syntax
<a name="API_DescribeAlertManagerDefinition_RequestSyntax"></a>

```
GET /workspaces/workspaceId/alertmanager/definition HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAlertManagerDefinition_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workspaceId](#API_DescribeAlertManagerDefinition_RequestSyntax) **   <a name="prometheus-DescribeAlertManagerDefinition-request-uri-workspaceId"></a>
The ID of the workspace to retrieve the alert manager definition from.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `.*[0-9A-Za-z][-.0-9A-Z_a-z]*.*`   
Required: Yes

## Request Body
<a name="API_DescribeAlertManagerDefinition_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAlertManagerDefinition_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "alertManagerDefinition": { 
      "createdAt": number,
      "data": blob,
      "modifiedAt": number,
      "status": { 
         "statusCode": "string",
         "statusReason": "string"
      }
   }
}
```

## Response Elements
<a name="API_DescribeAlertManagerDefinition_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [alertManagerDefinition](#API_DescribeAlertManagerDefinition_ResponseSyntax) **   <a name="prometheus-DescribeAlertManagerDefinition-response-alertManagerDefinition"></a>
The alert manager definition.  
Type: [AlertManagerDefinitionDescription](API_AlertManagerDefinitionDescription.md) object

## Errors
<a name="API_DescribeAlertManagerDefinition_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.    
 ** message **   
Description of the error.
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** message **   
Description of the error.  
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resources that doesn't exist.    
 ** message **   
Description of the error.  
 ** resourceId **   
Identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** message **   
Description of the error.  
 ** quotaCode **   
Service quotas code for the originating quota.  
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.  
 ** serviceCode **   
Service quotas code for the originating service.
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.    
 ** fieldList **   
The field that caused the error, if applicable.  
 ** message **   
Description of the error.  
 ** reason **   
Reason the request failed validation.
HTTP Status Code: 400

## See Also
<a name="API_DescribeAlertManagerDefinition_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/amp-2020-08-01/DescribeAlertManagerDefinition) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/amp-2020-08-01/DescribeAlertManagerDefinition) 